---
title: Get Schema for the objectclass
description: The GET /directory/v1/schemas/{objectclass} endpoint returns the schema associated with the objectClass value of ubidPerson specified in the request URL.
component: pingdirectory
page_id: pingdirectory:directory:schemas-apis/get-schema-for-the-objectclass
canonical_url: https://developer.pingidentity.com/pingdirectory/directory/schemas-apis/get-schema-for-the-objectclass.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Get Schema for the objectclass

##

```none
GET {{apiPath}}/directory/v1/schemas/ubidPerson
```

The `GET /directory/v1/schemas/{objectclass}` endpoint returns the `schema` associated with the `objectClass` value of `ubidPerson` specified in the request URL.

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/directory/v1/schemas/ubidPerson' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/directory/v1/schemas/ubidPerson")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/directory/v1/schemas/ubidPerson"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /directory/v1/schemas/ubidPerson HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/directory/v1/schemas/ubidPerson")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/directory/v1/schemas/ubidPerson",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/directory/v1/schemas/ubidPerson',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/directory/v1/schemas/ubidPerson"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/directory/v1/schemas/ubidPerson');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/directory/v1/schemas/ubidPerson")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/directory/v1/schemas/ubidPerson")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "$schema": "http://json-schema.org/draft-07/schema#",
    "title": "ubidPerson",
    "classType": "structural",
    "parent": "top",
    "required": [
        "objectClass"
    ],
    "type": "object",
    "properties": {
        "objectClass": {
            "type": "array",
            "items": {
                "type": "string"
            },
            "contains": {
                "const": "ubidPerson"
            },
            "description": "New objects of this type must include the 'ubidPerson' objectClass value. Returned entries will include the complete objectClass hierarchy: [top, ubidPerson]"
        },
        "audio": {
            "type": "array",
            "items": {
                "type": "string",
                "format": "Octet String"
            }
        },
        "authPassword": {
            "type": "array",
            "items": {
                "type": "string",
                "format": "Authentication Password Syntax"
            },
            "description": "password authentication information"
        },
        "businessCategory": {
            "type": "array",
            "items": {
                "type": "string",
                "format": "Directory String"
            }
        },

        ...

    "additionalProperties": false,
    "_links": {
        "self": {
            "href": "https://ds.example.com/directory/v1/schemas/ubidPerson"
        },
        "parent": {
            "href": "https://ds.example.com/directory/v1/schemas/top"
        }
    }
}
```
